::-----------------------------------------------|
::       REBOOTER SCRIPT TO SAMPLE win11         |
::-----------------------------------------------|

@call "C:\Program Files (x86)\Microsoft Visual Studio\2022\BuildTools\VC\Auxiliary\Build\vcvarsall.bat" x64 %*

ECHO OFF
::Samples for each reboot
SET SAMPLE=400

SET STOP=0
SET FILE=counter.txt
SET SAMPLER_NAME=.\main.py
::----------------------------------------

SET SCRIPT_PATH=%~dp0
SET SCRIPT_PATH=%$SCRIPT_PATH:~0,-1%
CD "%SCRIPT_PATH%"
ECHO %CD%


::check the kill switch
IF NOT EXIST "%FILE%" (
    ECHO "%FILE% not exists."
    EXIT
    )
ECHO "%FILE% exists."

::load counter locally
SET /p COUNT=<%FILE%

::check if we completed the sampling job
::IF true we stop the script
IF %COUNT% LSS %STOP% (
  ECHO "SAMPLING FINISHED"
  EXIT
  )



:: otherwise we run the sample and then reboot
:: fist we move the directory to the script location
CD "../" && python3 %SAMPLER_NAME% %SAMPLE% 7 %COUNT% || EXIT
CD "rebooter_Win11" || EXIT
ECHO remaining reboot: %COUNT%
SET /a "COUNT=%COUNT%-1"

>counter.txt ECHO %COUNT%

::check if we have remaining sample
IF %COUNT% LSS %STOP% (
  ECHO "SAMPLING FINISHED"
  EXIT
  )

::SET /p tmp=""

::finally we reboot
shutdown /r -t 00


