DATA_PATH = "/data/"
ARCHIVE_PATH = "/archives/"
EXECUTABLES_PATH = "./executables/"

defaults = {
    "Windows": {
        "n_samples": 3800000,
        "n_threads": 7,
        "monitor_freq": 10,
        "exec_name": "win_test_print",
        "dir_name": "data_win"
    },
    "Linux": {
        "n_samples": 3800000,
        "n_threads": 7,
        "monitor_freq": 100,
        "exec_name": "linux_test_print",
        "dir_name": "data_linux"
    },
    "Darwin": {  # name of the platform for MACOS
        "n_samples": 3800000,
        "n_threads": 3,
        "rosetta": False,
        "monitor_freq": 10,
        "exec_name": "macos_test_print",
        "dir_name": "data_macos"
    },
}

